<ion-app>
  <ion-split-pane>
    <ion-menu type="overlay">
      <ion-header>
        <ion-toolbar>
          <ion-title>Menu</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-menu-toggle auto-hide="false">
            <ion-item routerDirection="'root'" *ngIf="!loggedIn"
              (click)="login()" class="clickable">
              <ion-icon slot="start" name="open"></ion-icon>
              <ion-label>Login</ion-label>
            </ion-item>
            <div *ngFor="let p of appPages">
              <ion-item [routerDirection]="'root'" [routerLink]="[p.url]">
                <ion-icon slot="start" [name]="p.icon"></ion-icon>
                <ion-label>
                  {{p.title}}
                </ion-label>
              </ion-item>
            </div>
            <ion-item routerDirection="'root'" *ngIf="loggedIn"
              (click)="logout()" class="clickable">
              <ion-icon slot="start" name="close"></ion-icon>
              <ion-label>Logout</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet main></ion-router-outlet>
  </ion-split-pane>
</ion-app>
